import React from 'react';
import { BrowserRouter } from 'react-router-dom';
import { ConfigProvider, App as AntdApp } from 'antd';
import zhCN from 'antd/locale/zh_CN';
import { AppProvider } from '@/store';
import AppRoutes from '@/routes';
import DeviceTestPanel from '@/components/DeviceTestPanel';
import '@/styles/global.css';

// Ant Design 主题配置
const theme = {
  token: {
    colorPrimary: '#1890ff',
    borderRadius: 6,
    wireframe: false,
  },
  components: {
    Layout: {
      bodyBg: '#f5f5f5',
      headerBg: '#fff',
      siderBg: '#fff',
    },
    Menu: {
      itemBg: 'transparent',
      subMenuItemBg: 'transparent',
    },
  },
};

const App: React.FC = () => {
  return (
    <ConfigProvider 
      locale={zhCN} 
      theme={theme}
    >
      <AntdApp>
        <AppProvider>
          <BrowserRouter>
            <AppRoutes />
            <DeviceTestPanel />
          </BrowserRouter>
        </AppProvider>
      </AntdApp>
    </ConfigProvider>
  );
};

export default App; 