import { FC, useEffect } from 'react';
import { useNavigate } from 'react-router-dom';
import { getRecommendedRoute } from '@/utils/deviceDetection';

const DeviceRedirect: FC = () => {
  const navigate = useNavigate();

  useEffect(() => {
    const recommendedRoute = getRecommendedRoute();
    navigate(recommendedRoute, { replace: true });
  }, [navigate]);

  // 显示加载状态
  return (
    <div style={{
      display: 'flex',
      justifyContent: 'center',
      alignItems: 'center',
      height: '100vh',
      backgroundColor: '#f5f5f5',
      flexDirection: 'column',
    }}>
      <div style={{
        fontSize: '48px',
        marginBottom: '16px',
        animation: 'spin 2s linear infinite',
      }}>
        🔄
      </div>
      <div style={{
        fontSize: '18px',
        color: '#666',
        fontWeight: '500',
      }}>
        正在为您准备最佳体验...
      </div>
      
      <style>{`
        @keyframes spin {
          from { transform: rotate(0deg); }
          to { transform: rotate(360deg); }
        }
      `}</style>
    </div>
  );
};

export default DeviceRedirect; 